Class HttpClientResponse
- All Implemented Interfaces:
io.vertx.lang.rx.RxDelegate, HttpResponseHead, ReadStream<Buffer>, StreamBase
Vert.x provides you with one of these via the handler that was provided when creating the HttpClientRequest
or that was set on the HttpClientRequest instance.
It implements ReadStream so it can be used with
Pipe to pipe data with flow control.
NOTE: This class has been automatically generated from the original non RX-ified interface using Vert.x codegen.
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionHttpClientResponse(HttpClientResponse delegate) HttpClientResponse(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionbody()Convenience method for receiving the entire request body in one piece.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.cookies()customFrameHandler(Handler<HttpFrame> handler) Set an custom frame handler.end()Returns a future signaling when the response has been fully received successfully or failed.endHandler(Handler<Void> endHandler) Set an end handler.booleanexceptionHandler(Handler<Throwable> handler) Set an exception handler on the read stream.fetch(long amount) Fetch the specifiedamountof elements.getHeader(CharSequence headerName) Return the first header value with the specified nameReturn the first header value with the specified namegetTrailer(String trailerName) Return the first trailer value with the specified nameSet a data handler.inthashCode()headers()static HttpClientResponsepause()Pause theReadStream, it sets the buffer infetchmode and clears the actual demand.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.request()resume()Resume reading, and sets the buffer inflowingmode.rxBody()Convenience method for receiving the entire request body in one piece.rxEnd()Returns a future signaling when the response has been fully received successfully or failed.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.intstreamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changes.toString()trailers()version()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
HttpClientResponse
-
HttpClientResponse
-
-
Method Details
-
toString
-
equals
-
hashCode
-
getDelegate
- Specified by:
getDelegatein interfaceHttpResponseHead- Specified by:
getDelegatein interfaceReadStream<Buffer>- Specified by:
getDelegatein interfaceio.vertx.lang.rx.RxDelegate- Specified by:
getDelegatein interfaceStreamBase
-
toObservable
- Specified by:
toObservablein interfaceReadStream<Buffer>
-
toFlowable
- Specified by:
toFlowablein interfaceReadStream<Buffer>
-
version
- Specified by:
versionin interfaceHttpResponseHead- Returns:
- the version of the response
-
statusCode
public int statusCode()- Specified by:
statusCodein interfaceHttpResponseHead- Returns:
- the status code of the response
-
statusMessage
- Specified by:
statusMessagein interfaceHttpResponseHead- Returns:
- the status message of the response
-
headers
- Specified by:
headersin interfaceHttpResponseHead- Returns:
- the headers
-
getHeader
Return the first header value with the specified name- Specified by:
getHeaderin interfaceHttpResponseHead- Parameters:
headerName- the header name- Returns:
- the header value
-
cookies
- Specified by:
cookiesin interfaceHttpResponseHead- Returns:
- the Set-Cookie headers (including trailers)
-
pipe
Pause this stream and return a to transfer the elements of this stream to a destination . The stream will be resumed when the pipe will be wired to aWriteStream.- Specified by:
pipein interfaceReadStream<Buffer>- Returns:
- a pipe
-
pipeTo
Pipe thisReadStreamto theWriteStream.Elements emitted by this stream will be written to the write stream until this stream ends or fails.
- Specified by:
pipeToin interfaceReadStream<Buffer>- Parameters:
dst- the destination write stream- Returns:
- a future notified when the write stream will be ended with the outcome
-
rxPipeTo
Pipe thisReadStreamto theWriteStream.Elements emitted by this stream will be written to the write stream until this stream ends or fails.
- Specified by:
rxPipeToin interfaceReadStream<Buffer>- Parameters:
dst- the destination write stream- Returns:
- a future notified when the write stream will be ended with the outcome
-
fetch
Description copied from interface:ReadStreamFetch the specifiedamountof elements. If theReadStreamhas been paused, reading will recommence with the specifiedamountof items, otherwise the specifiedamountwill be added to the current stream demand.- Specified by:
fetchin interfaceReadStream<Buffer>- Parameters:
amount-- Returns:
- a reference to this, so the API can be used fluently
-
resume
Description copied from interface:ReadStreamResume reading, and sets the buffer inflowingmode. If theReadStreamhas been paused, reading will recommence on it.- Specified by:
resumein interfaceReadStream<Buffer>- Returns:
- a reference to this, so the API can be used fluently
-
exceptionHandler
Description copied from interface:ReadStreamSet an exception handler on the read stream.- Specified by:
exceptionHandlerin interfaceReadStream<Buffer>- Specified by:
exceptionHandlerin interfaceStreamBase- Parameters:
handler- the exception handler- Returns:
- a reference to this, so the API can be used fluently
-
handler
Description copied from interface:ReadStreamSet a data handler. As data is read, the handler will be called with the data.- Specified by:
handlerin interfaceReadStream<Buffer>- Parameters:
handler-- Returns:
- a reference to this, so the API can be used fluently
-
pause
Description copied from interface:ReadStreamPause theReadStream, it sets the buffer infetchmode and clears the actual demand.While it's paused, no data will be sent to the data
handler.- Specified by:
pausein interfaceReadStream<Buffer>- Returns:
- a reference to this, so the API can be used fluently
-
endHandler
Description copied from interface:ReadStreamSet an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.- Specified by:
endHandlerin interfaceReadStream<Buffer>- Parameters:
endHandler-- Returns:
- a reference to this, so the API can be used fluently
-
netSocket
- Returns:
- a
NetSocketfacade to interact with the HTTP client response.
-
getTrailer
-
trailers
- Returns:
- the trailers
-
bodyHandler
Convenience method for receiving the entire request body in one piece.This saves you having to manually set a dataHandler and an endHandler and append the chunks of the body until the whole body received. Don't use this if your request body is large - you could potentially run out of RAM.
- Parameters:
bodyHandler- This handler will be called after all the body has been received- Returns:
-
body
Convenience method for receiving the entire request body in one piece.This saves you having to manually set a dataHandler and an endHandler and append the chunks of the body until the whole body received. Don't use this if your request body is large - you could potentially run out of RAM.
- Returns:
- a future completed with the body result
-
rxBody
Convenience method for receiving the entire request body in one piece.This saves you having to manually set a dataHandler and an endHandler and append the chunks of the body until the whole body received. Don't use this if your request body is large - you could potentially run out of RAM.
- Returns:
- a future completed with the body result
-
end
-
rxEnd
Returns a future signaling when the response has been fully received successfully or failed.- Returns:
- a future completed with the body result
-
customFrameHandler
Set an custom frame handler. The handler will get notified when the http stream receives an custom HTTP/2 frame. HTTP/2 permits extension of the protocol.- Parameters:
handler-- Returns:
- a reference to this, so the API can be used fluently
-
request
- Returns:
- the corresponding request
-
streamPriorityHandler
Set an handler for stream priority changes. This is not implemented for HTTP/1.x.- Parameters:
handler- the handler to be called when the stream priority changes- Returns:
-
getHeader
Return the first header value with the specified name- Parameters:
headerName- the header name- Returns:
- the header value
-
newInstance
-